<?php
/**
 * Interface: to indicate that the class can be presented as an array suitable for a select-box
 */
namespace EwTools\Interfaces\Support;
/**
 * Interface Selectable
 *
 * @link    http://infomaker.se
 * @package EwTools\Interfaces\Support
 * @since   EwTools\Interfaces\Support\Selectable 0.1
 */
interface Selectable {
    
    /**
     * Return data in the form of an array fit for a select-box
     * A preselected value may be sent in.
     *
     * @param mixed $selected
     *
     * @since 0.1
     * @return array
     */
    public static function toSelect( $selected = null);
}